com.sun.java.xml.ns.javaee

## Class HandlerChainType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.HandlerChainType

-     public class HandlerChainType
      extends Object

  The handler-chain element defines the handlerchain. Handlerchain can be defined such that the handlers in the handlerchain operate,all ports of a service, on a specific port or on a list of protocol-bindings. The choice of elements service-name-pattern, port-name-pattern and protocol-bindings are used to specify whether the handlers in handler-chain are for a service, port or protocol binding. If none of these choices are specified with the handler-chain element then the handlers specified in the handler-chain will be applied on everything.

  Java-Klasse für handler-chainType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="handler-chainType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element name="service-name-pattern" type="{http://java.sun.com/xml/ns/javaee}qname-pattern"/>
                 <element name="port-name-pattern" type="{http://java.sun.com/xml/ns/javaee}qname-pattern"/>
                 <element name="protocol-bindings" type="{http://java.sun.com/xml/ns/javaee}protocol-bindingListType"/>
               </choice>
               <element name="handler" type="{http://java.sun.com/xml/ns/javaee}handlerType" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<HandlerType>` | `handler`
    `protected String` | `id`
    `protected String` | `portNamePattern`
    `protected List<String>` | `protocolBindings`
    `protected String` | `serviceNamePattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerChainType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<HandlerType>` | `getHandler()` Gets the value of the handler property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `String` | `getPortNamePattern()` Ruft den Wert der portNamePattern-Eigenschaft ab.
    `List<String>` | `getProtocolBindings()` Gets the value of the protocolBindings property.
    `String` | `getServiceNamePattern()` Ruft den Wert der serviceNamePattern-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setPortNamePattern(String value)` Legt den Wert der portNamePattern-Eigenschaft fest.
    `void` | `setServiceNamePattern(String value)` Legt den Wert der serviceNamePattern-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceNamePattern

          protected String serviceNamePattern

    - #### portNamePattern

          protected String portNamePattern

    - #### protocolBindings

          protected List<String> protocolBindings

    - #### handler

          protected List<HandlerType> handler

    - #### id

          protected String id

  - ### Constructor Detail

    - #### HandlerChainType

          public HandlerChainType()

  - ### Method Detail

    - #### getServiceNamePattern

          public String getServiceNamePattern()

      Ruft den Wert der serviceNamePattern-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setServiceNamePattern

          public void setServiceNamePattern(String value)

      Legt den Wert der serviceNamePattern-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getPortNamePattern

          public String getPortNamePattern()

      Ruft den Wert der portNamePattern-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setPortNamePattern

          public void setPortNamePattern(String value)

      Legt den Wert der portNamePattern-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getProtocolBindings

          public List<String> getProtocolBindings()

      Gets the value of the protocolBindings property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the protocolBindings property.

      For example, to add a new item, do as follows:

              getProtocolBindings().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getHandler

          public List<HandlerType> getHandler()

      Gets the value of the handler property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the handler property.

      For example, to add a new item, do as follows:

              getHandler().add(newItem);

      Objects of the following type(s) are allowed in the list `HandlerType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.